/*!\file: PentaHook.h
 * \brief prototypes for PentaHook.h
 */ 

#ifndef _PENTAHOOK_H_
#define  _PENTAHOOK_H_

class Hook;

class PentaHook{

	public: 
		int   numanalyses; //number of analysis types
		Hook* hnodes; // 6 nodes for each analysis type
		Hook hmatice; // 1 ice material
		Hook hmatpar; // 1 material parameter
		Hook hneighbors; // 2 elements, first down, second up

		/*FUNCTION constructors, destructors {{{1*/
		PentaHook();
		~PentaHook();
		void InitHookNodes(int numanalyses);
		void SetHookNodes(int* node_ids,int analysis_counter);
		void InitHookMatice(int matice_id);
		void InitHookMatpar(int matpar_id);
		void InitHookNeighbors(int* element_ids);
		/*}}}*/

};


#endif //ifndef _PENTAHOOK_H_

